summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-bash
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-10-01 13:25:03 +0900
committerDaiki Ueno <ueno@gnu.org>2014-10-01 14:35:51 +0900
commite860dc2849a0615d8db09804f72152581605874d (patch)
tree8d58734b892a3e20c0009f34ccea941e310d617f /gettext-tools/tests/lang-bash
parentce70d92b4b1bbf6f7be374cb12d2ab94a10eaa36 (diff)
downloadexternal_gettext-e860dc2849a0615d8db09804f72152581605874d.zip
external_gettext-e860dc2849a0615d8db09804f72152581605874d.tar.gz
external_gettext-e860dc2849a0615d8db09804f72152581605874d.tar.bz2
tests: Stop redundant textdomain directory creation
This was introduced by commit 3533f6cc when we didn't use separate test directory for each test. Now that we switched to init.sh, we don't need to worry about filename conflicts.
Diffstat (limited to 'gettext-tools/tests/lang-bash')
-rwxr-xr-xgettext-tools/tests/lang-bash47
1 files changed, 23 insertions, 24 deletions
diff --git a/gettext-tools/tests/lang-bash b/gettext-tools/tests/lang-bash
index d0be463..d69cb83 100755
--- a/gettext-tools/tests/lang-bash
+++ b/gettext-tools/tests/lang-bash
@@ -19,7 +19,7 @@ n=$1
TEXTDOMAIN=prog
export TEXTDOMAIN
-TEXTDOMAINDIR=l-bash
+TEXTDOMAINDIR=.
export TEXTDOMAINDIR
$echo $"'Your command, please?', asked the waiter."
@@ -29,14 +29,14 @@ EOF
: ${XGETTEXT=xgettext}
LC_MESSAGES=C LC_ALL= \
-${XGETTEXT} -o l-bash-prog.tmp --omit-header --no-location prog.bash \
- >l-bash-prog.err 2>&1
+${XGETTEXT} -o prog.tmp --omit-header --no-location prog.bash \
+ >prog.err 2>&1
result=$?
-cat l-bash-prog.err | grep -v 'warning: the syntax \$"\.\.\." is deprecated due to security reasons'
+cat prog.err | grep -v 'warning: the syntax \$"\.\.\." is deprecated due to security reasons'
test $result = 0 || { exit 1; }
-LC_ALL=C tr -d '\r' < l-bash-prog.tmp > l-bash-prog.pot || exit 1
+LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || exit 1
-cat <<\EOF > l-bash-prog.ok
+cat <<\EOF > prog.ok
msgid "'Your command, please?', asked the waiter."
msgstr ""
@@ -48,9 +48,9 @@ msgstr[1] ""
EOF
: ${DIFF=diff}
-${DIFF} l-bash-prog.ok l-bash-prog.pot || exit 1
+${DIFF} prog.ok prog.pot || exit 1
-cat <<\EOF > l-bash-fr.po
+cat <<\EOF > fr.po
msgid ""
msgstr ""
"Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -68,18 +68,17 @@ msgstr[1] "$n morceaux de gateau"
EOF
: ${MSGMERGE=msgmerge}
-${MSGMERGE} -q -o l-bash-fr.po.tmp l-bash-fr.po l-bash-prog.pot || exit 1
-LC_ALL=C tr -d '\r' < l-bash-fr.po.tmp > l-bash-fr.po.new || exit 1
+${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || exit 1
+LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || exit 1
: ${DIFF=diff}
-${DIFF} l-bash-fr.po l-bash-fr.po.new || exit 1
+${DIFF} fr.po fr.po.new || exit 1
-test -d l-bash || mkdir l-bash
-test -d l-bash/fr || mkdir l-bash/fr
-test -d l-bash/fr/LC_MESSAGES || mkdir l-bash/fr/LC_MESSAGES
+test -d fr || mkdir fr
+test -d fr/LC_MESSAGES || mkdir fr/LC_MESSAGES
: ${MSGFMT=msgfmt}
-${MSGFMT} -o l-bash/fr/LC_MESSAGES/prog.mo l-bash-fr.po
+${MSGFMT} -o fr/LC_MESSAGES/prog.mo fr.po
# Test for presence of bash version 2.0 or newer.
(bash -c :) >/dev/null 2>/dev/null \
@@ -118,16 +117,16 @@ if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
fi
# Expected result when bash is built without i18n support.
-cat <<\EOF > l-bash-prog.nok
+cat <<\EOF > prog.nok
'Your command, please?', asked the waiter.
2 morceaux de gateau
EOF
# Expected result when bash is built with i18n support.
-cat <<\EOF > l-bash-prog.ok
+cat <<\EOF > prog.ok
«Votre commande, s'il vous plait», dit le garçon.
2 morceaux de gateau
EOF
-cat <<\EOF > l-bash-prog.oku
+cat <<\EOF > prog.oku
«Votre commande, s'il vous plait», dit le garçon.
2 morceaux de gateau
EOF
@@ -135,22 +134,22 @@ EOF
: ${LOCALE_FR=fr_FR}
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR != none; then
- LANGUAGE= LC_ALL=$LOCALE_FR bash ./prog.bash 2 > l-bash-prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR bash ./prog.bash 2 > prog.out || exit 1
: ${DIFF=diff}
- ${DIFF} l-bash-prog.nok l-bash-prog.out > /dev/null && {
+ ${DIFF} prog.nok prog.out > /dev/null && {
echo "Skipping test: bash is built without i18n support"
exit 77
}
- ${DIFF} l-bash-prog.ok l-bash-prog.out || exit 1
+ ${DIFF} prog.ok prog.out || exit 1
fi
if test $LOCALE_FR_UTF8 != none; then
- LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 bash ./prog.bash 2 > l-bash-prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 bash ./prog.bash 2 > prog.out || exit 1
: ${DIFF=diff}
- ${DIFF} l-bash-prog.nok l-bash-prog.out > /dev/null && {
+ ${DIFF} prog.nok prog.out > /dev/null && {
echo "Skipping test: bash is built without i18n support"
exit 77
}
- ${DIFF} l-bash-prog.oku l-bash-prog.out || exit 1
+ ${DIFF} prog.oku prog.out || exit 1
fi
exit 0